
QGIS Application - Bug report #4410

"forward transform of... failed with error: latitude or longitude exceeded limits" error

2011-10-19 04:50 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14342

Description

When you now add a vector or raster in a projected CRS and the project is in WGS84 (examples) with OTFR off QGIS throws this error

@forward transform of

(-5307.91, -2871.89)

failed with error: latitude or longitude exceeded limits@

the user cannot get rid of it because it pops up every time the mouse passes on the canvas.

History

#1 - 2011-11-01 02:33 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Better handling of the "forward transform of... failed with error: latitude or longitude exceeded limits" error to "forward transform 

of... failed with error: latitude or longitude exceeded limits" error

#2 - 2011-11-01 02:33 AM - Giovanni Manghi

This is confirmed on Linux and Windows, using master, but I think that also happens on 1.7.1

#3 - 2011-11-08 06:00 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

The culprit is the "value tool" plugin.
